<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqAgrupaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bAgrupacionesBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83bFormNuevoAgrupaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bAgrupacionesNuevoBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqAgrupaciones[w83bAgrupacionesBean],w83bFormNuevoAgrupaciones[w83bAgrupacionesNuevoBean]"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.agrupaciones"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.agrupaciones.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.agrupacion"/>								
				
				<form-property name="w83bResultado" type="java.lang.String"/>
				
				<form-property name="w83bAgrupacionesBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
				<form-property name="w83bAgrupacionesNuevoBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
				<form-property name="w83bAgrupacionesTempBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
				<form-property name="w83bAgrupacionesNuevoTempBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
				<form-property name="w83bListaAgrupaciones" type="java.util.List"/>				
				<form-property name="w83bListaCod" type="java.util.List"/>				
				<form-property name="w83bListaConvenio" type="java.util.List"/>
								
				<form-property name="subOpFlag" type="java.lang.String" initial="agrupaciones"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83bInicioBusquedaAgrupaciones" forward="paginaAgrupaciones"/>
		<action
				path ="/w83bInicioBusquedaAgrupacionesMenu" forward="paginaAgrupacionesMenu"/>
		<action
				path ="/w83bInicioAnyadirAgrupacionesMenu" forward="paginaAnyadirAgrupacionesMenu"/>
		
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqAgrupaciones"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqAgrupaciones.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaAgrupacionesIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaAgrupacionesDetalle.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaAgrupacionesDetalle.do"/>
				<forward
					name="comun.boton.borrar"
					path="/w83bTablaAgrupacionesBorrar.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaAgrupacionesExcel.do"/>
<!--				<forward-->
<!--					name="comun.boton.abrirRtf"-->
<!--					path="/w83bTablaAgrupacionesRtf.do"/>-->
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasAgrupacionesBusq.do"/>
		</action>
		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoAgrupaciones"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoAgrupaciones.do"/>
				<forward
					name="comun.boton.asociarConvenio"
					path="/w83bAsociarConvenio.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaAgrupacionesAtrasNuevoEdicion.do"/>
		</action>
		
				
		<action
				path="/w83bDispatchConveniosAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="agrupaciones"
					path="/w83bTablaAgrupacionesVolverConvenios.do"/>
				<forward
					name="agrupacionesBusq"
					path="/w83bTablaAgrupacionesAtrasNuevoEdicion.do"/>
		</action>
		
		<!-- Operaciones de Paso -->
		<action path="/w83bTablaAgrupacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqAgrupaciones.do"/>
			<forward name="ok" path="/w83bTablaAgrupacionesOutOP.do"/>
			<forward name="outOP" path="/w83bTablaAgrupacionesOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>
		
		<action path="/w83bTablaAgrupacionesOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>	
			
		<action path="/w83bTablaAgrupacionesBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaAgrupacionesBorrar.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>
			
		<action path="/w83bTablaAgrupacionesConvenioBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesConveniosBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaAgrupacionesConvenioBorrar.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>
	
		<action path="/w83bTablaConvenioOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaConvenioOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqConvenio.do"/>
			<forward name="ok" path="/w83bTablaConvenioOutOP.do"/>
			<forward name="outOP" path="/w83bTablaConvenioOutOP.do"/>
			<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do"/>
		</action>
		
		<action path="/w83bTablaConvenioOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaConvenioOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirAgrupacionesMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do"/>
		</action>	
		
		<action path="/w83bTablaAgrupacionesIraNuevo" 
		name="w83bFormBusqAgrupaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirAgrupacionesMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>
		
		<action path="/w83bTablaAgrupacionesExcel"
		name="w83bFormBusqAgrupaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesExcelAction" 
			 validate="false">
			 <forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>
		
				
<!--		<action path="/w83bTablaAgrupacionesRtf" -->
<!--		name="w83bFormBusqAgrupaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesRtfAction" -->
<!--			 validate="false">-->
<!--		</action>			-->
				
		<action path="/w83bAsociarConvenio" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaIraAsociarConvenioAction" 
			 validate="false">
			 <forward name="ok" path="/w83bAsociarConvenioSubOp.do"/>
		</action>			
			
		<action path="/w83bAgrupacionesComprobarAsociacionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bAgrupacionesComprobarAsociacionOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bAgrupacionesComprobarAsociacionOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>
	
		<action path="/w83bAgrupacionesComprobarAsociacionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bAgrupacionesComprobarAsociacionOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bAgrupacionesComprobarAsociacionOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
		</action>	
		
		<action path="/w83bAtrasAgrupacionesBusq" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action> 
		
		<action path="/w83bTablaAgrupacionesAtrasNuevoEdicion" 
		name="w83bFormBusqAgrupaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaAgrupacionesMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do"/>
		</action>		
		
		<action path="/w83bTablaAgrupacionesVolverConvenios" 
		scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bAgrupaciones.W83bTablaAgrupacionesVolverConveniosAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaAgrupacionesDetalle.do"/>
			<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do"/>
		</action>		
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->	
   		<action path ="/w83bBusqAgrupaciones" 
			 parameter="w83bBusqAgrupacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaAgrupacionesOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do" />
		</action>
   		<action path ="/w83bBusqConvenio" 
			 parameter="w83bBuscConvenioOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaConvenioOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
		</action>
   		<action path ="/w83bTablaAgrupacionesDetalle" 
			 parameter="w83bDetalleAgrupacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
		</action>
   		<action path ="/w83bMovimientoAgrupaciones" 
			 parameter="w83bMovimientoAgrupacionesOI" 
			 validate="true" name="w83bFormNuevoAgrupaciones" 
			 input="/w83bInicioAnyadirAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
		</action>
   		<action path ="/w83bTablaAgrupacionesBorrar" 
			 parameter="w83bBorrarAgrupacionesOI" 
			 validate="false" name="w83bFormNuevoAgrupaciones" 
			 input="/w83bInicioAnyadirAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
		</action>
   		<action path ="/w83bTablaAgrupacionesConvenioBorrar" 
			 parameter="w83bBorrarAgrupacionesConvenioOI" 
			 validate="false"
			 input="/w83bInicioAnyadirAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirAgrupacionesMenu.do" />
		</action>
		<action path ="/w83bAgrupacionesComprobarAsociacionOI" 
			 parameter="w83bConveniosComprobarAsociacionOI" 
			 validate="false"  
			 input="/w83bInicioAnyadirAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bAgrupacionesComprobarAsociacionOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do" />
		</action>
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		<action path="/w83bAsociarConvenioSubOp" name="w83bFormNuevoAgrupaciones" parameter="/conveniosOP/w83bSubOpConveniosInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/agrupacionesOP/w83bDispatchConveniosAtras.do" />
		</action>
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-agrupaciones.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>